%global sover     2.8.1
Name:           diet
Version:        2.8.1
Release:        1%{?dist}
Summary:        A computational servers toolkit

Group:          Development/Libraries
License:        CeCILL
URL:            http://graal.ens-lyon.fr/~diet/
# moved to a post-release tarball (upcoming upstream 2.8.1 release)
Source0:        http://graal.ens-lyon.fr/~hguemar/%{name}/archives/%{name}-%{version}.tar.gz

BuildRequires:  cmake >= 2.6.2
BuildRequires:  chrpath
BuildRequires:  omniORB-devel >= 4.1.4
BuildRequires:  xqilla-devel
BuildRequires:  xerces-c-devel >= 3.0
BuildRequires:  LogService-devel >= 2.7.0
BuildRequires:  boost-devel >= 1.46.0

%description
DIET is a grid middleware that implements the Grid-RPC model.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       xerces-c-devel%{_isa} >= 3.0
Requires:       xqilla-devel%{_isa}
Requires:       LogService-devel%{_isa} >= 2.7.0
Requires:       omniORB-devel%{_isa} >= 4.1.4

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
Group:          Development/Libraries
Buildarch:      noarch

%description    doc
The %{name}-doc package contains documentation for
developing applications that use %{name}.

%package        examples
Summary:        Examples for %{name}
Group:          Development/Libraries

%description    examples
The %{name}-examples package contains samples applications
that use %{name}.


%prep
%setup -q
sed -i 's/1.46.1/1.46.0/' CMakeLists.txt
cp LICENCE_eng.txt LICENSE.txt
iconv -f iso8859-1 -t utf-8 LICENSE.txt > LICENSE.conv && mv -f LICENSE.conv LICENSE.txt

%build
mkdir build
pushd build
  %cmake  -DDIET_BUILD_DOC:BOOL=OFF \
  -DDIET_BUILD_TOOLS:BOOL=ON \
  -DDIET_USE_LOG:BOOL=ON \
  -DDIET_USE_WORKFLOW:BOOL=ON \
  -DDIET_WITH_MULTI_MA:BOOL=ON \
  -DDIET_WITH_STATISTICS:BOOL=ON \
  -DDIET_BUILD_EXAMPLES:BOOL=ON \
  -DDOC_INSTALL_DIR:PATH=%{_docdir}/%{name}-doc/ ..

make VERBOSE=1 %{?_smp_mflags}
popd

%install
pushd build
  make install DESTDIR=%{buildroot}
  chrpath --delete %{buildroot}%{_bindir}/diet{Agent,Forwarder}
  chrpath --delete %{buildroot}%{_libdir}/libDIET_client.so.%{sover}
  chrpath --delete %{buildroot}%{_libdir}/libDIET_{client,SeD,Dagda,admin}.so.%{sover}

  # install documentation
  mkdir -p %{buildroot}%{_docdir}/%{name}-doc/
  mkdir -p %{buildroot}%{_mandir}/man1/
  install -p -m0644 ../doc/*.pdf %{buildroot}%{_docdir}/%{name}-doc/
  install -p -m0644 ../doc/man/*.1 %{buildroot}%{_mandir}/man1/

  mkdir -p %{buildroot}%{_libdir}/%{name}
  mv %{buildroot}%{_bindir}/examples %{buildroot}%{_libdir}/%{name}/
  mv %{buildroot}%{_sysconfdir} %{buildroot}%{_libdir}/%{name}/examples/config
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc LICENSE.txt ChangeLog
%{_bindir}/dietAgent
%{_bindir}/dietForwarder
%{_bindir}/dietObjects
%{_bindir}/maDagAgent
%{_libdir}/*.so.*
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/FWorkflow.dtd


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/cmake/Modules/DietConfig.cmake
%{_datadir}/cmake/Modules/FindDiet.cmake

%files doc
%doc LICENSE.txt
%dir %{_docdir}/%{name}-doc/
%doc %{_docdir}/%{name}-doc/UsersFAQ.pdf
%doc %{_docdir}/%{name}-doc/UsersManual.pdf

%files examples
%dir %{_libdir}/%{name}
%{_libdir}/diet/examples/config
%{_libdir}/diet/examples/*




%changelog
* Thu Jun 14 2012 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.1-1
- upstream 2.8.1

* Sat Mar 24 2012 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.0-4.cd326f85f75cgit
- upstream diet 2.8.0 post release (from git) -- fix the fPI
- do not rebuild documentation
- add examples

* Sun Mar 18 2012 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.0-3
- fix license included in packages

* Mon Mar 12 2012 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.0-2
- fix unowned directory
- add license to doc subpackage

* Mon Oct 31 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.0-1
- upstream 2.8.0
- remove dropped requirements (libuuid)

* Tue May 10 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 2.7.0-1
- upstream 2.7.0

* Mon Dec 20 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 2.6.0-1
- initial packaging
